<template>
  <div>
    <v-container>
      <v-row>
        <v-col cols="12">
          <v-select
            :items="methods"
            item-value="id"
            item-text="description"
            label="Method"
          ></v-select>
          <v-text-field v-model="url" label="URL"></v-text-field>
          <v-textarea
            label="Body"
            v-model="body"
            @keyup="bodyFormat"
            :auto-grow="true"
            :error="errorFormat"
          ></v-textarea>
        </v-col>
      </v-row>
    </v-container>

    <v-container fluid>
      <v-textarea
        clearable
        clear-icon="cancel"
        label="Text"
        value="This is clearable text."
      ></v-textarea>
    </v-container>
  </div>
</template>
<style scoped></style>
<script>
export default {
  name: "Component-Rest",
  data() {
    return {
      url: null,
      methods: [
        {
          id: 0,
          description: "GET"
        },
        {
          id: 1,
          description: "POST"
        },
        {
          id: 2,
          description: "PUT"
        },
        {
          id: 3,
          description: "DELETE"
        }
      ],
      body: null,
      bodyFormated: {},
      errorFormat: false
    };
  },
  methods: {
    bodyFormat() {
      let bodyParsed;
      try {
        bodyParsed = JSON.parse(this.body);
      } catch (error) {
        console.log();
      }
      if (bodyParsed) {
        const json = JSON.stringify(bodyParsed, null, 4);
        this.bodyFormated = json;
        this.body = this.bodyFormated;
        this.errorFormat = false;
      } else {
        this.errorFormat = true;
      }
    }
  },
  created: {}
};
</script>
